# Export built-in

The export built-in marks variables for export to child processes.

## Syntax

- `export [-prX] [name[=value]…]`

## Description

The export built-in is equivalent to the typeset built-in with the `-gx` option.

## Notes

The export built-in is a special built-in.

The POSIX standard defines the `-p` option only; other options cannot be used in the POSIXly-correct mode. The POSIX does not allow using the option together with operands.